## Licensing

This program is released under the 2-clause BSD license, see the `LICENSE` file
for details.

The files in `dist/static` are from
[ar.js](https://github.com/jeromeetienne/AR.js), which is licensed under the
MIT license (see
<https://github.com/jeromeetienne/AR.js/blob/master/LICENSE.txt> for details).

All files in `/vendor` are generously provided by Andreas Weber and licensed
the GNU General Public License.  See `vendor/LICENSE` for details.

## Setup

This guide assumes you have the following:

- NodeJS >= 8.0
- git
- a UNIX shell

Open a shell in the project's root directory and type `npm i`.  This will
install all required dependencies for you.  To start the app, type `npm start`.
This will spin up a local HTTP server and open a browser tab.

### Building Releases

To build a release, type `npm run-script build`.  All JS files will be bundled
in `dist/build/bundle.js`.  The `dist` directory is the app's webroot.

### Building Documentation

To build the documentation, type `npm run-script doc`.  This will build the
JSDoc documentation in `doc/apidoc`.
