/**
 * @file Horrible module wrapper for the horribly-written ar.js library.
 *
 * @license
 * Copyright (c) 2020 Felix Kopp <felix.kopp@stud.th-deg.de>
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions are met:
 *
 * 1. Redistributions of source code must retain the above copyright notice,
 *    this list of conditions and the following disclaimer.
 *
 * 2. Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the
 *    documentation and/or other materials provided with the distribution.
 *
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
 * AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
 * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
 * ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS
 * BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
 * CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
 * SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
 * INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
 * CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
 * ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
 * POSSIBILITY OF SUCH DAMAGE.
 */

require('script-loader!three/build/three.min.js');
require('script-loader!ar.js/three.js/build/ar.min.js');

export const ArBaseControls = window.THREEx.ArBaseControls;
export const ArClickability = window.THREEx.ArClickability;
export const ArMarkerCloak = window.THREEx.ArMarkerCloak;
export const ArMarkerControls = window.THREEx.ArMarkerControls;
export const ArMarkerHelper = window.THREEx.ArMarkerHelper;
export const ArSmoothedControls = window.THREEx.ArSmoothedControls;
export const ArToolkitContext = window.THREEx.ArToolkitContext;
export const ArToolkitProfile = window.THREEx.ArToolkitProfile;
export const ArToolkitSource = window.THREEx.ArToolkitSource;
export const ArVideoInWebgl = window.THREEx.ArVideoInWebgl;
export const HitTestingPlane = window.THREEx.HitTestingPlane;
export const ArMultiMarkerControls = window.THREEx.ArMultiMarkerControls;
export const ArMultiMakersLeaning = window.THREEx.ArMultiMakersLeaning;
export const ArMultiMarkerUtils = window.THREEx.ArMultiMarkerUtils;
